CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-2894

Off-by-one error in the cmd_smart function in the smart self test in hw/ide/core.c in QEMU before 2.0 allows local users to have unspecified impact via a SMART EXECUTE OFFLINE command that triggers a buffer underflow and memory corruption.
Publish Date : 2014-04-23 Last Update Date : 2014-05-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeMemory corruption
CWE ID 189

- Related OVAL Definitions

Title Definition Id Class Family
ELSA-2014:0743: qemu-kvm security and bug fix update (Moderate) oval:org.mitre.oval:def:24919 unix
RHSA-2014:0704: qemu-kvm security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20140704 unix
RHSA-2014:0743: qemu-kvm security and bug fix update (Moderate) oval:org.mitre.oval:def:25125 unix
RHSA-2014:0743: qemu-kvm security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20140743 unix
USN-2182-1 -- qemu, qemu-kvm vulnerabilities oval:org.mitre.oval:def:24016 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-2894

# Product Type Vendor Product Version Update Edition Language
1 Application Qemu Qemu 0.1 Version Details Vulnerabilities
2 Application Qemu Qemu 0.1.1 Version Details Vulnerabilities
3 Application Qemu Qemu 0.1.2 Version Details Vulnerabilities
4 Application Qemu Qemu 0.1.3 Version Details Vulnerabilities
5 Application Qemu Qemu 0.1.4 Version Details Vulnerabilities
6 Application Qemu Qemu 0.1.5 Version Details Vulnerabilities
7 Application Qemu Qemu 0.1.6 Version Details Vulnerabilities
8 Application Qemu Qemu 0.2 Version Details Vulnerabilities
9 Application Qemu Qemu 0.3 Version Details Vulnerabilities
10 Application Qemu Qemu 0.4 Version Details Vulnerabilities
11 Application Qemu Qemu 0.4.1 Version Details Vulnerabilities
12 Application Qemu Qemu 0.4.2 Version Details Vulnerabilities
13 Application Qemu Qemu 0.4.3 Version Details Vulnerabilities
14 Application Qemu Qemu 0.5.0 Version Details Vulnerabilities
15 Application Qemu Qemu 0.5.1 Version Details Vulnerabilities
16 Application Qemu Qemu 0.5.2 Version Details Vulnerabilities
17 Application Qemu Qemu 0.5.3 Version Details Vulnerabilities
18 Application Qemu Qemu 0.5.4 Version Details Vulnerabilities
19 Application Qemu Qemu 0.5.5 Version Details Vulnerabilities
20 Application Qemu Qemu 0.6.0 Version Details Vulnerabilities
21 Application Qemu Qemu 0.6.1 Version Details Vulnerabilities
22 Application Qemu Qemu 0.7.0 Version Details Vulnerabilities
23 Application Qemu Qemu 0.7.1 Version Details Vulnerabilities
24 Application Qemu Qemu 0.7.2 Version Details Vulnerabilities
25 Application Qemu Qemu 0.8.0 Version Details Vulnerabilities
26 Application Qemu Qemu 0.8.1 Version Details Vulnerabilities
27 Application Qemu Qemu 0.8.2 Version Details Vulnerabilities
28 Application Qemu Qemu 0.9.0 Version Details Vulnerabilities
29 Application Qemu Qemu 0.9.1-5 Version Details Vulnerabilities
30 Application Qemu Qemu 0.9.1 Version Details Vulnerabilities
31 Application Qemu Qemu 0.10.0 Version Details Vulnerabilities
32 Application Qemu Qemu 0.10.1 Version Details Vulnerabilities
33 Application Qemu Qemu 0.10.2 Version Details Vulnerabilities
34 Application Qemu Qemu 0.10.3 Version Details Vulnerabilities
35 Application Qemu Qemu 0.10.4 Version Details Vulnerabilities
36 Application Qemu Qemu 0.10.5 Version Details Vulnerabilities
37 Application Qemu Qemu 0.10.6 Version Details Vulnerabilities
38 Application Qemu Qemu 0.11.0-rc2 Version Details Vulnerabilities
39 Application Qemu Qemu 0.11.0 Version Details Vulnerabilities
40 Application Qemu Qemu 0.11.0-rc1 Version Details Vulnerabilities
41 Application Qemu Qemu 0.11.0-rc0 Version Details Vulnerabilities
42 Application Qemu Qemu 0.11.0 RC2 Version Details Vulnerabilities
43 Application Qemu Qemu 0.11.0 RC1 Version Details Vulnerabilities
44 Application Qemu Qemu 0.11.0 RC0 Version Details Vulnerabilities
45 Application Qemu Qemu 0.11.1 Version Details Vulnerabilities
46 Application Qemu Qemu 0.12.0 RC2 Version Details Vulnerabilities
47 Application Qemu Qemu 0.12.0 RC1 Version Details Vulnerabilities
48 Application Qemu Qemu 0.12.0 Version Details Vulnerabilities
49 Application Qemu Qemu 0.12.1 Version Details Vulnerabilities
50 Application Qemu Qemu 0.12.2 Version Details Vulnerabilities
51 Application Qemu Qemu 0.12.3 Version Details Vulnerabilities
52 Application Qemu Qemu 0.12.4 Version Details Vulnerabilities
53 Application Qemu Qemu 0.12.5 Version Details Vulnerabilities
54 Application Qemu Qemu 0.13.0 Version Details Vulnerabilities
55 Application Qemu Qemu 0.13.0 RC1 Version Details Vulnerabilities
56 Application Qemu Qemu 0.13.0 RC0 Version Details Vulnerabilities
57 Application Qemu Qemu 0.14.0 RC2 Version Details Vulnerabilities
58 Application Qemu Qemu 0.14.0 RC1 Version Details Vulnerabilities
59 Application Qemu Qemu 0.14.0 RC0 Version Details Vulnerabilities
60 Application Qemu Qemu 0.14.0 Version Details Vulnerabilities
61 Application Qemu Qemu 0.14.1 Version Details Vulnerabilities
62 Application Qemu Qemu 0.15.0 RC2 Version Details Vulnerabilities
63 Application Qemu Qemu 0.15.0 RC1 Version Details Vulnerabilities
64 Application Qemu Qemu 0.15.1 Version Details Vulnerabilities
65 Application Qemu Qemu 0.15.2 Version Details Vulnerabilities
66 Application Qemu Qemu 1.0 RC3 Version Details Vulnerabilities
67 Application Qemu Qemu 1.0 RC2 Version Details Vulnerabilities
68 Application Qemu Qemu 1.0 RC1 Version Details Vulnerabilities
69 Application Qemu Qemu 1.0 Version Details Vulnerabilities
70 Application Qemu Qemu 1.0 RC4 Version Details Vulnerabilities
71 Application Qemu Qemu 1.0.1 Version Details Vulnerabilities
72 Application Qemu Qemu 1.1 RC2 Version Details Vulnerabilities
73 Application Qemu Qemu 1.1 RC1 Version Details Vulnerabilities
74 Application Qemu Qemu 1.1 Version Details Vulnerabilities
75 Application Qemu Qemu 1.1 RC4 Version Details Vulnerabilities
76 Application Qemu Qemu 1.1 RC3 Version Details Vulnerabilities
77 Application Qemu Qemu 1.1.1 Version Details Vulnerabilities
78 Application Qemu Qemu 1.1.2 Version Details Vulnerabilities
79 Application Qemu Qemu 1.2.0 Version Details Vulnerabilities
80 Application Qemu Qemu 1.2.0 RC3 Version Details Vulnerabilities
81 Application Qemu Qemu 1.2.0 RC2 Version Details Vulnerabilities
82 Application Qemu Qemu 1.2.0 RC1 Version Details Vulnerabilities
83 Application Qemu Qemu 1.2.0 RC0 Version Details Vulnerabilities
84 Application Qemu Qemu 1.2.1 Version Details Vulnerabilities
85 Application Qemu Qemu 1.2.2 Version Details Vulnerabilities
86 Application Qemu Qemu 1.3.0 RC2 Version Details Vulnerabilities
87 Application Qemu Qemu 1.3.0 RC1 Version Details Vulnerabilities
88 Application Qemu Qemu 1.3.0 RC0 Version Details Vulnerabilities
89 Application Qemu Qemu 1.3.0 Version Details Vulnerabilities
90 Application Qemu Qemu 1.3.1 Version Details Vulnerabilities
91 Application Qemu Qemu 1.4.0 RC1 Version Details Vulnerabilities
92 Application Qemu Qemu 1.4.0 RC0 Version Details Vulnerabilities
93 Application Qemu Qemu 1.4.1 Version Details Vulnerabilities
94 Application Qemu Qemu 1.4.2 Version Details Vulnerabilities
95 Application Qemu Qemu 1.5.0 Version Details Vulnerabilities
96 Application Qemu Qemu 1.5.0 RC3 Version Details Vulnerabilities
97 Application Qemu Qemu 1.5.0 RC2 Version Details Vulnerabilities
98 Application Qemu Qemu 1.5.0 RC1 Version Details Vulnerabilities
99 Application Qemu Qemu 1.5.1 Version Details Vulnerabilities
100 Application Qemu Qemu 1.5.2 Version Details Vulnerabilities
101 Application Qemu Qemu 1.5.3 Version Details Vulnerabilities
102 Application Qemu Qemu 1.6.0 RC3 Version Details Vulnerabilities
103 Application Qemu Qemu 1.6.0 RC2 Version Details Vulnerabilities
104 Application Qemu Qemu 1.6.0 RC1 Version Details Vulnerabilities
105 Application Qemu Qemu 1.6.0 Version Details Vulnerabilities
106 Application Qemu Qemu 1.6.1 Version Details Vulnerabilities
107 Application Qemu Qemu 1.6.2 Version Details Vulnerabilities
108 Application Qemu Qemu 1.7.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Qemu Qemu 108

- References For CVE-2014-2894

http://secunia.com/advisories/58191
SECUNIA 58191
http://secunia.com/advisories/57945
SECUNIA 57945
http://www.ubuntu.com/usn/USN-2182-1
UBUNTU USN-2182-1
http://www.securityfocus.com/bid/66932
BID 66932 QEMU IDE SMART Out of Bounds Local Privilege Escalation Vulnerability Release Date:2014-09-02
http://www.openwall.com/lists/oss-security/2014/04/18/5
MLIST [oss-security] 20140418 Re: CVE request Qemu: out of bounds buffer access, guest triggerable via IDE SMART
https://lists.nongnu.org/archive/html/qemu-devel/2014-04/msg02016.html
MLIST [Qemu-devel] 20140412 [PATCH for 2.0] ide: Correct improper smart self test c
http://www.openwall.com/lists/oss-security/2014/04/15/4
MLIST [oss-security] 20140415 CVE request Qemu: out of bounds buffer access, guest triggerable via IDE SMART
https://lists.nongnu.org/archive/html/qemu-devel/2014-04/msg02152.html
MLIST [Qemu-devel] 20140414 Re: [PATCH for 2.0] ide: Correct improper smart self test c
https://lists.nongnu.org/archive/html/qemu-devel/2014-04/msg02095.html
MLIST [Qemu-devel] 20140414 Re: [PATCH for 2.0] ide: Correct improper smart self test c

- Metasploit Modules Related To CVE-2014-2894

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.